clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
clang::tidy::ClangTidyMessage Struct Reference

A message from a clang-tidy check. More...

`#include <ClangTidyDiagnosticConsumer.h>`

Collaboration diagram for clang::tidy::ClangTidyMessage:
[legend]

## Public Member Functions
| ClangTidyMessage (StringRef Message="")
| ClangTidyMessage (StringRef Message, const SourceManager &Sources, SourceLocation Loc)

## Public Attributes
std::string | Message
std::string | FilePath
unsigned | FileOffset

## Detailed Description

A message from a clang-tidy check.

Note that this is independent of a `SourceManager`.

Definition at line 38 of file ClangTidyDiagnosticConsumer.h.

## Constructor & Destructor Documentation

ClangTidyMessage::ClangTidyMessage | ( | StringRef | Message = `""` | ) |

Definition at line 105 of file ClangTidyDiagnosticConsumer.cpp.

ClangTidyMessage::ClangTidyMessage | ( | StringRef | Message,
|  | const SourceManager & | Sources,
|  | SourceLocation | Loc
| ) |  |

Definition at line 108 of file ClangTidyDiagnosticConsumer.cpp.

References FileOffset, and FilePath.

## Member Data Documentation

unsigned clang::tidy::ClangTidyMessage::FileOffset

Definition at line 44 of file ClangTidyDiagnosticConsumer.h.

Referenced by ClangTidyMessage().

std::string clang::tidy::ClangTidyMessage::FilePath

Definition at line 43 of file ClangTidyDiagnosticConsumer.h.

Referenced by ClangTidyMessage().

std::string clang::tidy::ClangTidyMessage::Message

Definition at line 42 of file ClangTidyDiagnosticConsumer.h.

The documentation for this struct was generated from the following files:

- ClangTidyDiagnosticConsumer.h
- ClangTidyDiagnosticConsumer.cpp